"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAbyssBattle = void 0;
const tslib_1 = require("tslib");
const request_1 = require("../utils/request");
const generate_ds_1 = tslib_1.__importDefault(require("../utils/generate_ds"));
const server_1 = require("../utils/server");
class getAbyssBattle {
    /**
       *
       * @param {string} language The response language
       * @param {string} cookie The cookie to use for the request
       * @param {string | number} uid Genshin Impact game uid
       *
       */
    async requestAPI(language, cookie, uid, previous) {
        var _a;
        const instance = (0, request_1.request)();
        (0, request_1.setLanguage)(language);
        const region = (0, server_1.checkServerRegion)(uid);
        if (region === "unknown")
            throw new Error("unknown server region");
        const res = await instance.get("/spiralAbyss", {
            headers: {
                "x-rpc-client_type": "4",
                "x-rpc-app_version": "1.5.0",
                "DS": (0, generate_ds_1.default)(),
                "Cookie": cookie,
            },
            params: {
                "server": region,
                "role_id": uid,
                "schedule_type": `${previous ? "2" : "1"}`,
            },
        });
        if (((_a = res.data) === null || _a === void 0 ? void 0 : _a.retcode) === 0)
            return res.data.data;
        throw new Error(res.data.retcode);
    }
}
exports.getAbyssBattle = getAbyssBattle;
//# sourceMappingURL=abyssAPI.js.map