import type { Base } from "../interface/recordCardAPI";
import type { AbyssBattle } from "../interface/genshinAbyssAPI";
import type { Full } from "../interface/genshinUserAPI";
import type { Language } from "../constants/lang";
import type { ClientCookieManager } from "./clientCookieManager";
export declare class Client {
    private options;
    private cookieManager;
    /**
     * @param {ClientCookieManager} cookieManager - The cookie manager to use.
     * @param {Object} options - The options to use.
     */
    constructor(cookieManager: ClientCookieManager, options: {
        language: Language | Language.EnglishUS;
    });
    /**
     * @param {string} uid - Genshin Impact game uid.
     */
    getAbyssBattle(uid: string, previous?: boolean): Promise<AbyssBattle>;
    /**
     * @param {string} uid - HoYolab uid.
     */
    getRecordCard(uid: string): Promise<Base>;
    /**
     * @param {string} uid - Genshin Impact game uid.
     */
    getGenshinUser(uid: string): Promise<Full>;
}
