"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClientCache = void 0;
class ClientCache {
    constructor() {
        /**
         * @description Cache the API response
         */
        Object.defineProperty(this, "cache", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: {}
        });
    }
    get(key) {
        const C = this.cache[key];
        this.delete(key);
        return C;
    }
    set(key, value) {
        this.cache[key] = value;
    }
    has(key) {
        return this.cache[key] !== undefined;
    }
    delete(key) {
        delete this.cache[key];
    }
}
exports.ClientCache = ClientCache;
//# sourceMappingURL=clientCache.js.map