"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClientCookieManager = void 0;
class ClientCookieManager {
    constructor() {
        Object.defineProperty(this, "ltuid", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: []
        });
        Object.defineProperty(this, "ltoken", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: []
        });
    }
    amount() {
        return this.ltoken.length;
    }
    /**
     * @param {string} ltoken - The ltoken to set.
     * @param {string} ltuid - The ltuid to set.
     *
     */
    set(ltoken, ltuid) {
        this.ltoken.push(ltoken);
        this.ltuid.push(ltuid);
    }
    /**
     * @description Get the ltoken and ltuid for request.
     * @returns {Object} - The ltoken and ltuid.
     */
    get() {
        if (this.amount() === 1) {
            return {
                ltoken: this.ltoken[0],
                ltuid: this.ltuid[0],
            };
        }
        const randomIndex = Math.floor(Math.random() * this.amount());
        return {
            ltoken: this.ltoken[randomIndex],
            ltuid: this.ltuid[randomIndex],
        };
    }
    delete(key) {
        this.ltoken.splice(key, 1);
        this.ltuid.splice(key, 1);
    }
    clear() {
        this.ltoken = [];
        this.ltuid = [];
    }
    getAll() {
        return {
            ltoken: this.ltoken,
            ltuid: this.ltuid,
        };
    }
}
exports.ClientCookieManager = ClientCookieManager;
//# sourceMappingURL=clientCookieManager.js.map