"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setLanguage = exports.request = void 0;
const tslib_1 = require("tslib");
const axios_1 = tslib_1.__importDefault(require("axios"));
const constants_1 = require("../constants/constants");
/**
 * @description Creates a new axios instance with the base url set to the api url
 * @param {string} type The type of api
 */
const request = (type) => {
    let baseURL = constants_1.Genshin_Battle_API_URL;
    if (type === "hoyolab") {
        baseURL = constants_1.Genshin_Hoyolab_API_URL;
    }
    if (type === "dailyrewards") {
        baseURL = constants_1.Genshin_Hoyolab_REWARD_URL;
    }
    return axios_1.default.create({
        baseURL
    });
};
exports.request = request;
/**
 *
 * @description Set i18n language
 * @param {string} language The language to set
 *
 */
const setLanguage = (language) => {
    axios_1.default.defaults.headers.common['x-rpc-language'] = language;
};
exports.setLanguage = setLanguage;
//# sourceMappingURL=request.js.map